Skip to main content
POST
Submit Job via Single Document Upload

Authorizations

X-API-KEY
string
header
required

Path Parameters

company_id
string<uuid>
required

ID of the company for which to submit the job.

Body

multipart/form-data

Serializer for form fields during job submission.

document
file
required

File object representing the document to be processed by the job.

siteId
string<uuid> | null

UUID of the site to pin the document to. When provided, the parsed bill is allocated to this site instead of relying on best-effort auto-matching.

accountId
string<uuid> | null

UUID of the utility account to pin the document to. When provided, the parsed bill is associated with this account (and its parent utility connection) instead of relying on best-effort auto-matching.

notes
string

Optional free-text notes about the submitted document (for example, what it contains or which site it belongs to). Shared with document processing as background context.

Response

Serializer for the response of job status endpoint.

id
string
required

The ID of the job.

Maximum string length: 255
status
enum<string>
required

The current status of the job, one of: PENDING, COMPLETED, TERMINATED, FAILED.If the job status is FAILED, please contact our support team.

  • PENDING - Pending
  • COMPLETED - Completed
  • FAILED - Failed
Available options:
PENDING,
COMPLETED,
FAILED
parsedDocumentIds
string[]

List of document IDs that were processed successfully by the job. This is only populated if the job is completed.

duplicates
integer

Number of duplicate files detected by the job. This is only populated if the job is completed.

duplicateDocumentIds
string[]

List of document IDs that were identified as duplicates by the job. This is only populated if the job is completed.

nonUtilityDocumentIds
string[]

List of document IDs that were identified as non-utility documents by the job. This is only populated if the job is completed.

terminationReason
string

The reason the job was terminated. This is only populated if the job is terminated.